"""
First cut at Django ORM models for pubd.
"""

from __future__ import unicode_literals
from django.db import models
from django.conf import settings
from south.modelsinspector import add_introspection_rules, NOT_PROVIDED

from rpki.fields import BlobField, SundialField


class Client(models.Model):
    client_handle = models.CharField(unique = True, max_length = 255)
    base_uri = models.TextField()
    bpki_cert = BlobField()
    bpki_glue = BlobField(null = True)
    last_cms_timestamp = SundialField(blank = True, null = True)
